Re: [R] Dependence of bundle dse on setRNG (was Misbehaviour of DSE)

From: Prof Brian Ripley <ripley_at_stats.ox.ac.uk>
Date: Tue 12 Jul 2005 - 07:41:03 EST

As the posting guide says, there is no R 2.1. The first message suggests this is R 2.1.0, and the posting guide does ask you to use the latest version (and to quote versions accurately).

The dse bundle depends on package setRNG, which you have not installed, so you need to do that. Look at e.g.

> library(help=dse2)

which the posting guide actually asks you to do and include in your posting. (And the message you got is pretty clearcut.)

(Suggestion to Paul Gilbert: it would work better to have the setRNG dependence in the top-level DESCRIPTION and not in the dependence for each package. That way install.packages() can work out it is required from the information on CRAN, which is only at bundle level.)

On Mon, 11 Jul 2005, Ajay Shah wrote:

> I am finding problems with using "dse":
>
>> library(dse1)
> Loading required package: tframe
> Error: c("package '%s' required by '%s' could not be found", "setRNG", "dse1")
>> library(dse2)
> Loading required package: setRNG
> Error: package 'setRNG' could not be loaded
> In addition: Warning message:
> there is no package called 'setRNG' in: library(pkg, character.only = TRUE, logical = TRUE, lib.loc = lib.loc)
>
> This is on R 2.1 on an Apple ibook (OS X) "panther".

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Received on Tue Jul 12 07:46:58 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:33:30 EST